#ifndef FORMCHECKCAPTURESELECT_H
#define FORMCHECKCAPTURESELECT_H

#include <QWidget>

#include "common.h"

#include "dialogprogress.h"

namespace Ui {
class FormCheckCaptureSelect;
}

class FormCheckCaptureSelect : public QWidget
{
    Q_OBJECT

public:
    explicit FormCheckCaptureSelect(QWidget *parent = nullptr);
    ~FormCheckCaptureSelect();

    void SetCurrentImage(CAPTURE_IMAGE* pData);

    virtual void paintEvent(QPaintEvent *event);

    void UpdateMakeDICOMInfo(int nCount, int nTotalCount);

    void UpdateSendInfo(int nCount, int nTotalCount);
    void UpdateSendComplete();
    void UpdateSendFailed();

    void Init();

protected:
    CAPTURE_IMAGE* m_pCurrentImage;
    CAPTURE_IMAGE* m_pDisplayImage;

    DialogProgress* m_pDialogSendProgress;

signals:
    void CloseSelectForm();

private slots:
    void ClickSelect();
    void on_pushButton_Close_clicked();

    void on_pushButton_Prev_clicked();

    void on_pushButton_Next_clicked();

    void on_pushButton_Delete_clicked();

    void on_pushButton_Send_Select_clicked();

    void on_pushButton_Send_SelectAll_clicked();

private:
    Ui::FormCheckCaptureSelect *ui;
};

#endif // FORMCHECKCAPTURESELECT_H
